extractr docs
Restaurants

Search restaurants

GET
/restaurants/search

Search restaurants by location with optional cuisine filter; returns ratings, price level and distance.

Costs 2 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

location*string
Length1 <= length
cuisine?string

Value in

  • "italian"
  • "japanese"
  • "indian"
  • "mexican"
  • "thai"
  • "french"
  • "korean"
  • "greek"
  • "turkish"
  • "vietnamese"
limit?integer
Range1 <= value <= 30
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/restaurants/search?location=Shoreditch%2C+London"
{  "location": "string",  "total": 0,  "results": [    {      "id": "rest_4f9a1c2b7d",      "name": "The Copper Fig",      "cuisine": "string",      "rating": 4.6,      "review_count": 0,      "price_level": 2,      "address": "string",      "distance_km": 0,      "open_now": true    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}